#pragma once

#include "state/state.h"

#define WINDOW_FLAGS SDL_WINDOW_OPENGL | SDL_WINDOW_RESIZABLE

static const ivec2 WINDOW_SIZE = {1280, 720};
static const vec2 WORLD_SIZE = {1920.0f, 1080.0f};
static const vec4 RENDERER_CLEAR_COLOR = {0.785f, 0.685f, 0.900f, 1.0f};

void game_init(Game* game);
void game_loop(Game* game);

extern Game game;
